;InnoSetupVersion=3.0.8

[Setup]
AppName=PicaLoader
AppVerName=PicaLoader 1.37
AppId=PicaLoader
AppPublisher=VOWSoft, Ltd.
AppPublisherURL=http://www.VOWSoft.com
AppSupportURL=http://www.VOWSoft.com/support.htm
AppUpdatesURL=http://www.VOWSoft.com/download.htm
DefaultDirName={pf}\PicaLoader
DefaultGroupName=PicaLoader
OutputBaseFilename=setup
Compression=zip
PrivilegesRequired=none
LicenseFile=embedded\License.txt
InfoBeforeFile=embedded\InfoBefore.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\PicaLoader.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\PicaLoader.prf"; DestDir: "{app}"; Flags: onlyifdoesntexist 
Source: "{app}\README.txt"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\LICENSE.txt"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\tips.txt"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\PicaLoader.chm"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\sample_movies.plp"; DestDir: "{app}"; Flags: onlyifdoesntexist 
Source: "{app}\sample_photographers.plp"; DestDir: "{app}"; Flags: onlyifdoesntexist 
Source: "{app}\sample_arts.plp"; DestDir: "{app}"; Flags: onlyifdoesntexist 
Source: "{app}\sample_natures.plp"; DestDir: "{app}"; Flags: onlyifdoesntexist 
Source: "{app}\sample_cars.plp"; DestDir: "{app}"; Flags: onlyifdoesntexist 
Source: "{app}\sample_MSNGroups.plp"; DestDir: "{app}"; Flags: onlyifdoesntexist 

[Registry]
Root: HKCU; Subkey: "Software\VOWSoft"; Flags: uninsdeletekeyifempty 
Root: HKCU; Subkey: "Software\VOWSoft\PicaLoader\__MRURegList"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\VOWSoft\PicaLoader\BROWSER"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\VOWSoft\PicaLoader\COLUMN"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\VOWSoft\PicaLoader\CONNECTION"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\VOWSoft\PicaLoader\DEFAULT"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\VOWSoft\PicaLoader\DIAL"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\VOWSoft\PicaLoader\DOWNLOAD"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\VOWSoft\PicaLoader\PROJECT"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\VOWSoft\PicaLoader\Recent File List"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\VOWSoft\PicaLoader\Settings"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\VOWSoft\PicaLoader\WindowsInfo"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\VOWSoft\PicaLoader\Tip"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\VOWSoft\PicaLoader\SLIDESHOW"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\VOWSoft\PicaLoader\SEARCH"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\VOWSoft\PicaLoader\NewMenu"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\VOWSoft\PicaLoader\COPYMOVE"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\VOWSoft\PicaLoader\DragWindow"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\VOWSoft\PicaLoader\Recent File List"; ValueName: "File1"; ValueType: String; ValueData: "{app}\sample_natures.plp"; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\VOWSoft\PicaLoader\Recent File List"; ValueName: "File2"; ValueType: String; ValueData: "{app}\sample_movies.plp"; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\VOWSoft\PicaLoader\Recent File List"; ValueName: "File3"; ValueType: String; ValueData: "{app}\sample_photographers.plp"; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\VOWSoft\PicaLoader\Recent File List"; ValueName: "File4"; ValueType: String; ValueData: "{app}\sample_arts.plp"; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\VOWSoft\PicaLoader\Recent File List"; ValueName: "File5"; ValueType: String; ValueData: "{app}\sample_cars.plp"; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\VOWSoft\PicaLoader\Recent File List"; ValueName: "File6"; ValueType: String; ValueData: "{app}\sample_MSNGroups.plp"; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\VOWSoft\PicaLoader\PROJECT"; ValueName: "RECENT"; ValueType: String; ValueData: "{app}\sample_natures.plp"; Flags: createvalueifdoesntexist 
Root: HKCR; Subkey: ".plp"; ValueType: String; ValueData: "PicaLoader.Project"; 
Root: HKCR; Subkey: "PicaLoader.Project"; ValueType: String; ValueData: "PicaLoader.Project"; 
Root: HKCR; Subkey: "PicaLoader.Project\shell\open\command"; ValueType: String; ValueData: "{app}\PICALOADER.EXE %1"; 
Root: HKCR; Subkey: "PicaLoader.Project\shell\open\ddeexec"; ValueType: String; ValueData: "[open(""%1"")]"; 
Root: HKCR; Subkey: "PicaLoader.Project\shell\open\ddeexec\application"; ValueType: String; ValueData: "PICALOADER"; 
Root: HKCR; Subkey: ".plp"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "PicaLoader.Project"; Flags: uninsdeletekey 

[INI]
FileName: "{app}\PicaLoader.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.VOWSoft.com"; 

[Run]
Filename: "{app}\PicaLoader.exe"; Description: "Launch PicaLoader"; Flags: postinstall skipifsilent nowait
Filename: "{app}\README.txt"; Description: "View the README File"; Flags: shellexec postinstall skipifsilent 

[Icons]
Name: "{group}\README"; Filename: "{app}\ReadMe.txt"; 
Name: "{group}\PicaLoader"; Filename: "{app}\PicaLoader.exe"; 
Name: "{group}\PicaLoader Help"; Filename: "{app}\PicaLoader.chm"; 
Name: "{group}\PicaLoader on the Web"; Filename: "{app}\PicaLoader.url"; 
Name: "{group}\LICENSE"; Filename: "{app}\License.txt"; 
Name: "{group}\Uninstall PicaLoader"; Filename: "{uninstallexe}"; 
Name: "{userdesktop}\PicaLoader"; Filename: "{app}\PicaLoader.exe"; Tasks: desktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\PicaLoader"; Filename: "{app}\PicaLoader.exe"; Tasks: quicklaunchicon; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; 

[UninstallDelete]
Type: files; Name: "{app}\PicaLoader.url"; 
